| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_Audio_Host_t Struct Reference
Audio 1.0 Class Host Mode Driver

## Detailed Description

Audio Class Host Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made within the user application, and passed to each of the Audio class driver functions as the `AudioInterfaceInfo` parameter. This stores each Audio interface's configuration and state information.

Definition at line 71 of file AudioClassHost.h.

`#include "AudioClassHost.h"`

## Data Fields
struct {
uint8_t DataINPipeNumber
uint8_t DataOUTPipeNumber
uint8_t PortNumber
} | Config
struct {
bool IsActive
uint8_t ControlInterfaceNumber
uint8_t StreamingInterfaceNumber
uint8_t EnabledStreamingAltIndex
uint16_t DataINPipeSize
uint16_t DataOUTPipeSize
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t ControlInterfaceNumber

Interface index of the Audio Control interface within the attached device.

Definition at line 93 of file AudioClassHost.h.

uint8_t DataINPipeNumber

Pipe number of the Audio interface's IN data pipe. If this interface should not bind to an IN endpoint, this may be set to 0 to disable audio input streaming for this driver instance.

Definition at line 75 of file AudioClassHost.h.

uint16_t DataINPipeSize

Size in bytes of the Audio interface's IN data pipe.

Definition at line 98 of file AudioClassHost.h.

uint8_t DataOUTPipeNumber

Pipe number of the Audio interface's OUT data pipe. If this interface should not bind to an OUT endpoint, this may be set to 0 to disable audio output streaming for this driver instance.

Definition at line 79 of file AudioClassHost.h.

uint16_t DataOUTPipeSize

Size in bytes of the Audio interface's OUT data pipe.

Definition at line 99 of file AudioClassHost.h.

uint8_t EnabledStreamingAltIndex

Alternative setting index of the Audio Streaming interface when the stream is enabled.

Definition at line 96 of file AudioClassHost.h.

bool IsActive

Indicates if the current interface instance is connected to an attached device, valid after Audio_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

Definition at line 89 of file AudioClassHost.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 83 of file AudioClassHost.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

uint8_t StreamingInterfaceNumber

Interface index of the Audio Streaming interface within the attached device.

Definition at line 94 of file AudioClassHost.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Host/AudioClassHost.h